AlmaLinux 2226 Published by

A php security update has been released for AlmaLinux 9.



ALSA-2023:0965 Moderate: php security update


Type:
security

Severity:
moderate

Release date:
2023-02-28

Description
The following packages have been upgraded to a later upstream version: php (8.0.27). (BZ#2161667)
Security Fix(es):
* XKCP: buffer overflow in the SHA-3 reference implementation (CVE-2022-37454)
* php: standard insecure cookie could be treated as a `__Host-` or `__Secure-` cookie by PHP applications (CVE-2022-31629)
* php: OOB read due to insufficient input validation in imageloadfont() (CVE-2022-31630)
* php: Due to an integer overflow PDO::quote() may return unquoted string (CVE-2022-31631)
* php: phar wrapper can occur dos when using quine gzip file (CVE-2022-31628)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
RHSA-2023:0965
CVE-2022-31628
CVE-2022-31629
CVE-2022-31630
CVE-2022-31631
CVE-2022-37454
ALSA-2023:0965

Updates packages:
php-embedded-8.0.27-1.el9_1.aarch64.rpm
php-pdo-8.0.27-1.el9_1.aarch64.rpm
php-mysqlnd-8.0.27-1.el9_1.aarch64.rpm
php-gd-8.0.27-1.el9_1.aarch64.rpm
php-opcache-8.0.27-1.el9_1.aarch64.rpm
php-soap-8.0.27-1.el9_1.aarch64.rpm
php-pgsql-8.0.27-1.el9_1.aarch64.rpm
php-common-8.0.27-1.el9_1.aarch64.rpm
php-bcmath-8.0.27-1.el9_1.aarch64.rpm
php-mbstring-8.0.27-1.el9_1.aarch64.rpm
php-ldap-8.0.27-1.el9_1.aarch64.rpm
php-8.0.27-1.el9_1.aarch64.rpm
php-fpm-8.0.27-1.el9_1.aarch64.rpm
php-enchant-8.0.27-1.el9_1.aarch64.rpm
php-process-8.0.27-1.el9_1.aarch64.rpm
php-xml-8.0.27-1.el9_1.aarch64.rpm
php-ffi-8.0.27-1.el9_1.aarch64.rpm
php-cli-8.0.27-1.el9_1.aarch64.rpm
php-intl-8.0.27-1.el9_1.aarch64.rpm
php-odbc-8.0.27-1.el9_1.aarch64.rpm
php-snmp-8.0.27-1.el9_1.aarch64.rpm
php-dbg-8.0.27-1.el9_1.aarch64.rpm
php-dba-8.0.27-1.el9_1.aarch64.rpm
php-devel-8.0.27-1.el9_1.aarch64.rpm
php-gmp-8.0.27-1.el9_1.aarch64.rpm
php-xml-8.0.27-1.el9_1.s390x.rpm
php-pdo-8.0.27-1.el9_1.s390x.rpm
php-gd-8.0.27-1.el9_1.s390x.rpm
php-gmp-8.0.27-1.el9_1.s390x.rpm
php-opcache-8.0.27-1.el9_1.s390x.rpm
php-ffi-8.0.27-1.el9_1.s390x.rpm
php-common-8.0.27-1.el9_1.s390x.rpm
php-ldap-8.0.27-1.el9_1.s390x.rpm
php-odbc-8.0.27-1.el9_1.s390x.rpm
php-dbg-8.0.27-1.el9_1.s390x.rpm
php-snmp-8.0.27-1.el9_1.s390x.rpm
php-soap-8.0.27-1.el9_1.s390x.rpm
php-cli-8.0.27-1.el9_1.s390x.rpm
php-mysqlnd-8.0.27-1.el9_1.s390x.rpm
php-enchant-8.0.27-1.el9_1.s390x.rpm
php-intl-8.0.27-1.el9_1.s390x.rpm
php-bcmath-8.0.27-1.el9_1.s390x.rpm
php-pgsql-8.0.27-1.el9_1.s390x.rpm
php-process-8.0.27-1.el9_1.s390x.rpm
php-embedded-8.0.27-1.el9_1.s390x.rpm
php-8.0.27-1.el9_1.s390x.rpm
php-mbstring-8.0.27-1.el9_1.s390x.rpm
php-fpm-8.0.27-1.el9_1.s390x.rpm
php-devel-8.0.27-1.el9_1.s390x.rpm
php-dba-8.0.27-1.el9_1.s390x.rpm
php-gd-8.0.27-1.el9_1.ppc64le.rpm
php-mbstring-8.0.27-1.el9_1.ppc64le.rpm
php-odbc-8.0.27-1.el9_1.ppc64le.rpm
php-pgsql-8.0.27-1.el9_1.ppc64le.rpm
php-devel-8.0.27-1.el9_1.ppc64le.rpm
php-fpm-8.0.27-1.el9_1.ppc64le.rpm
php-xml-8.0.27-1.el9_1.ppc64le.rpm
php-cli-8.0.27-1.el9_1.ppc64le.rpm
php-common-8.0.27-1.el9_1.ppc64le.rpm
php-pdo-8.0.27-1.el9_1.ppc64le.rpm
php-mysqlnd-8.0.27-1.el9_1.ppc64le.rpm
php-soap-8.0.27-1.el9_1.ppc64le.rpm
php-ffi-8.0.27-1.el9_1.ppc64le.rpm
php-ldap-8.0.27-1.el9_1.ppc64le.rpm
php-bcmath-8.0.27-1.el9_1.ppc64le.rpm
php-snmp-8.0.27-1.el9_1.ppc64le.rpm
php-process-8.0.27-1.el9_1.ppc64le.rpm
php-intl-8.0.27-1.el9_1.ppc64le.rpm
php-embedded-8.0.27-1.el9_1.ppc64le.rpm
php-dba-8.0.27-1.el9_1.ppc64le.rpm
php-dbg-8.0.27-1.el9_1.ppc64le.rpm
php-8.0.27-1.el9_1.ppc64le.rpm
php-enchant-8.0.27-1.el9_1.ppc64le.rpm
php-opcache-8.0.27-1.el9_1.ppc64le.rpm
php-gmp-8.0.27-1.el9_1.ppc64le.rpm
php-gd-8.0.27-1.el9_1.x86_64.rpm
php-xml-8.0.27-1.el9_1.x86_64.rpm
php-devel-8.0.27-1.el9_1.x86_64.rpm
php-gmp-8.0.27-1.el9_1.x86_64.rpm
php-mbstring-8.0.27-1.el9_1.x86_64.rpm
php-cli-8.0.27-1.el9_1.x86_64.rpm
php-process-8.0.27-1.el9_1.x86_64.rpm
php-ldap-8.0.27-1.el9_1.x86_64.rpm
php-enchant-8.0.27-1.el9_1.x86_64.rpm
php-pdo-8.0.27-1.el9_1.x86_64.rpm
php-opcache-8.0.27-1.el9_1.x86_64.rpm
php-intl-8.0.27-1.el9_1.x86_64.rpm
php-common-8.0.27-1.el9_1.x86_64.rpm
php-odbc-8.0.27-1.el9_1.x86_64.rpm
php-embedded-8.0.27-1.el9_1.x86_64.rpm
php-bcmath-8.0.27-1.el9_1.x86_64.rpm
php-soap-8.0.27-1.el9_1.x86_64.rpm
php-mysqlnd-8.0.27-1.el9_1.x86_64.rpm
php-snmp-8.0.27-1.el9_1.x86_64.rpm
php-dba-8.0.27-1.el9_1.x86_64.rpm
php-fpm-8.0.27-1.el9_1.x86_64.rpm
php-8.0.27-1.el9_1.x86_64.rpm
php-ffi-8.0.27-1.el9_1.x86_64.rpm
php-pgsql-8.0.27-1.el9_1.x86_64.rpm
php-dbg-8.0.27-1.el9_1.x86_64.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:0965 Moderate: php security update